<?php
 // -- Espace de noms EspacePerso1 --
 namespace EspacePerso1
 {
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Personnel:".$this->_nom.PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new Personnel("dupont");
  $UnePers1->Affiche();
 }
 // -- Espace de noms EspacePerso1\EspaceCadre --
 namespace EspacePerso1\EspaceCadre
 {
  class Personnel
  { // -- Les propriétés --
    private $_nom   ;
    // -- Constructeur --
    function __construct($n) {$this->_nom=$n;}
    public function Affiche() {echo "Cadre:".strtoupper($this->_nom).PHP_EOL;}
  }
  echo "Espace de noms : ".__NAMESPACE__.PHP_EOL;
  $UnePers1 = new Personnel("leroy");
  $UnePers1->Affiche();
 }
?>
